## python-sunlight 1.1.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-sunlight.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-sunlight.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-sunlight"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-sunlight"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-sunlight (1.1.5-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Use pybuild for building package.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * d/watch: Use pypi.debian.net.

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 11:52:00 +0200

python-sunlight (1.1.5-2) unstable; urgency=high

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ Carsten Schoenert ]
  * Fix build of documentation. (Closes: #922261)

  [ Dominik George ]
  * Bump Standards-Version (no changes needed).
  * Raise compat level to 11.

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Feb 2019 20:51:16 +0100

python-sunlight (1.1.5-1) unstable; urgency=low

  * New upstream release. Record time. Handles a fix with passing boolean
    values into the kwargs.

 -- Paul Tagliamonte <paultag@debian.org>  Fri, 29 Jun 2012 16:58:53 -0400

python-sunlight (1.1.4-1) unstable; urgency=low

  * New upstream release. Adds some better UTF handling in OpenStates.

 -- Paul Tagliamonte <paultag@debian.org>  Fri, 29 Jun 2012 16:22:21 -0400

python-sunlight (1.1.3-1) unstable; urgency=low

  * New upstream release. Adds a new method to the OpenStates object, and
    adds a more helpful exception when you attempt to pass "None" into an
    OpenStates method.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Tue, 15 May 2012 23:04:51 -0400

python-sunlight (1.1.2-1) unstable; urgency=low

  * New upstream release. Solves a URL encoding issue that was present in both
    CapitolWords and Influence Explorer.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Thu, 12 Apr 2012 16:57:24 -0400

python-sunlight (1.1.1-1) unstable; urgency=low

  * New upstream release. Contains fixes for Python 3, and fixed examples.
  * Changing an errorful link (python-sunlight3 -> python3-sunlight)
  * Ensuring that SOURCES.txt is removed from the binary packages (thanks,
    jwilk & tumbleweed)

 -- Paul Tagliamonte <paultag@ubuntu.com>  Mon, 27 Feb 2012 15:22:20 -0500

python-sunlight (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #660173).

 -- Paul Tagliamonte <paultag@ubuntu.com>  Mon, 27 Feb 2012 20:10:53 +0200

=== debian/control ===
Source: python-sunlight
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Paul Tagliamonte <paultag@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-sphinx (>= 1.0.7+dfsg),
               python3-all (>= 3.1.2),
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/sunlightlabs/python-sunlight
Vcs-Git: https://salsa.debian.org/python-team/modules/python-sunlight.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sunlight
Testsuite: autopkgtest-pkg-python

Package: python3-sunlight
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-sunlight-doc
Description: set of bindings to access U.S. government data (Python 3)
 This module can be used to access U.S. government data, as provided by
 The Sunlight Foundation's API services. Data provided includes such data
 as federal and state-local legislators, legislative instruments, and searches
 against the congressional record.
 .
 This package is for use by developers or other applications, and does not
 provide any userspace scripts or binaries.
 .
 This package provides Python 3 module bindings only.

Package: python-sunlight-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: set of bindings to access U.S. government data (documentation)
 This module can be used to access U.S. government data, as provided by
 The Sunlight Foundation's API services. Data provided includes such data
 as federal and state-local legislators, legislative instruments, and searches
 against the congressional record.
 .
 This package only contains documentation for use by developers targeting the
 python-sunlight or python3-sunlight module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sunlight

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./docs/build ./*.egg-info ./build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sunlight/sunlight-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
